<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Processors/Transformer/Transformer.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Processors.Transformer.Transformer</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../Synopsis.html" >Synopsis</a>.<a href="../../Processors.html" >Processors</a>.<a href="../Transformer.html" >Transformer</a>
</div><div class="class-name">class Transformer

</div><div class="links"><div class="file">File: <a href="../../../../File/Synopsis/Processors/Transformer.py.html" target="detail">../Synopsis/Processors/Transformer.py</a></div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.Transformer.Transformer" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Transformer.py.html#line11" ><img src="../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Transformer-inheritance" src="Transformer-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Transformer-inheritance_map" />
<map name="Transformer-inheritance_map"></map>
 <div class="doc">A class that creates a new ASG from an old one. This is a helper base for
    more specialized classes that manipulate the ASG based on
    the comments in the nodes</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="__scopes">__scopes</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Transformer.py.html#line20" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__current">__current</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Transformer.py.html#line21" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Transformer.html#__init__" >__init__</a></span>(<span class="variable">self</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.Transformer.Transformer.__init__" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Transformer.py.html#line16" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process">process</a>(<span class="variable">self</span>, <span class="variable">ir</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.Transformer.Transformer.process" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Transformer.py.html#line23" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Transformer.html#finalize" >finalize</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.Transformer.Transformer.finalize" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Transformer.py.html#line34" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Transformer.html#push" >push</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.Transformer.Transformer.push" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Transformer.py.html#line39" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Transformer.html#pop" >pop</a></span>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.Transformer.Transformer.pop" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Transformer.py.html#line45" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Transformer.html#add" >add</a></span>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.Transformer.Transformer.add" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Transformer.py.html#line52" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Transformer.html#current_scope" >current_scope</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.Transformer.Transformer.current_scope" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Transformer.py.html#line57" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_builtin">visit_builtin</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.Transformer.Transformer.visit_builtin" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Transformer.py.html#line62" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.Transformer.Transformer.__init__" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Transformer.py.html#line16" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Constructor</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="finalize">finalize</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.Transformer.Transformer.finalize" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Transformer.py.html#line34" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">replace the ASG with the newly created one</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="push">push</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.Transformer.Transformer.push" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Transformer.py.html#line39" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Pushes the current scope onto the stack and starts a new one</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="pop">pop</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.Transformer.Transformer.pop" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Transformer.py.html#line45" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Pops the current scope from the stack&#44; and appends the given
        declaration to it</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="add">add</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.Transformer.Transformer.add" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Transformer.py.html#line52" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Adds the given decl to the current scope</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="current_scope">current_scope</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.Transformer.Transformer.current_scope" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/Transformer.py.html#line57" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns the current scope: a list of declarations</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:58 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
